Package org.apache.solr.client.solrj

## Interface V2RequestSupport

    @Deprecated
    public interface V2RequestSupport

Deprecated.
use v2-native `SolrRequest` implementations directly instead
A a request object is able to convert itself to V2 Request it should implement this interface

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`SolrRequest` `getV2Request()` Deprecated. If usev2 flag is set to true, return V2Request, if not, return V1 request object

### Method Detail

#### getV2Request

    SolrRequest getV2Request()

Deprecated.
If usev2 flag is set to true, return V2Request, if not, return V1 request object